- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# PSystem Class Reference

PSystem class describes particle system. More...

`#include <Particles.h>`

Inheritance diagram for PSystem:

[legend]

List of all members.

## Public Member Functions
| PSystem ()
| Standard constructor.
virtual | ~PSystem ()
| Standard destructor.
virtual bool | init (LPDIRECT3DDEVICE9 device, const WCHAR *texFileName)
| Inits particle system.
virtual void | reset ()
| Resets every particle to initial values.
virtual void | addParticle ()
| Adds new particle.
virtual void | preRender ()
| preRender sets particle rendering states and postRender returns them to previous state.
virtual void | Render ()
| Renders particles vertex buffer on 3d device.
virtual void | postRender ()
| preRender sets particle rendering states and postRender returns them to previous state.
## Protected Member Functions
virtual void | removeDeadParticles ()
| This function removes or RENEWS dead particles.

## Detailed Description

PSystem class describes particle system.

This basic particle class provides functions for adding, updating, and rendering particles.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

PSystem::PSystem | ( | void |  | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

PSystem::~PSystem | ( | void |  | ) | `[virtual]`

Standard destructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool PSystem::init | ( | LPDIRECT3DDEVICE9 | device,
|  | const WCHAR * | texFileName |
| ) |  |  | `[virtual]`

Inits particle system.

Parameters:

  | texFileName | texture of particles.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void PSystem::reset | ( |  | ) | `[virtual]`

Resets every particle to initial values.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void PSystem::addParticle | ( |  | ) | `[virtual]`

Adds new particle.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void PSystem::preRender | ( |  | ) | `[virtual]`

preRender sets particle rendering states and postRender returns them to previous state.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Reimplemented in CSmoke, and CPGrass.

void PSystem::Render | ( |  | ) | `[virtual]`

Renders particles vertex buffer on 3d device.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void PSystem::postRender | ( |  | ) | `[virtual]`

preRender sets particle rendering states and postRender returns them to previous state.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Reimplemented in CSmoke, and CPGrass.

void PSystem::removeDeadParticles | ( |  | ) | `[protected, virtual]`

This function removes or RENEWS dead particles.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Particles.h
- My Documents/TS2/src/Particles.cpp